import json, requests
from api_auth import APICredentials, APIParams
rule_id = 'Hak3zjnPLSW5o0j8GMpzRMsa' # Replace with the ID for the desired rule.

class DeleteRule:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        """
        Deletes a rule.
        """
        self._delete_rule()

    def _delete_rule(self):
        url = "{}{}{}".format(self.host, "/api/v4/rules/", rule_id)
 
        response = requests.delete(
            url, params=APIParams(APICredentials()).get_params({})
        )

        print(response.json())

DeleteRule().run()